Rensei docs

Look up agent sessions by Linear issue identifier.

Look up agent sessions by Linear issue identifier. - Rensei REST API operation reference.

GET
/api/cli/session

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Query Parameters

linearIssueIdentifier*string

The Linear issue identifier to match, e.g. "ABC-123" (alphanumeric + dash, max 32 chars).

Response Body

Matching sessions (possibly empty).

application/json
  1. response
matches*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/cli/session?linearIssueIdentifier=string'
Example Response
{  "matches": [    {      "sessionId": "string",      "agentSessionId": 0,      "projectId": "string",      "status": "string",      "startedAt": "string",      "completedAt": "string",      "costUsd": 0,      "durationMs": 0,      "workerId": "string",      "linearIssueIdentifier": "string"    }  ]}